For the complete documentation index, see llms.txt. This page is also available as Markdown.

İrsaliye Kalemlerini Getirir

İrsaliye kalemlerini getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

İrsaliye kalemlerini getirir.

application/json
DeliveredUnitTypestring · nullableOptional
DeliveredUnitNamestring · nullableOptional
Namestring · nullableOptional
SellerCodestring · nullableOptional
BuyerCodestring · nullableOptional
Descriptionstring · nullableOptional
DeliveredQuantitynumber · doubleOptional
QuantityPricenumber · doubleOptional
LineTotalnumber · doubleOptional
AdditionalItemIdentificationstring · nullableOptional
OutstandingQuantitynumber · doubleOptional
OutstandingUnitTypestring · nullableOptional
OutstandingUnitNamestring · nullableOptional
OutstandingReasonstring · nullableOptional
ManufacturerCodestring · nullableOptional
BrandNamestring · nullableOptional
ModelNamestring · nullableOptional
LabelNumberstring · nullableOptional
get/Purchase/{UUID}/Lines
GET /edespatch/Purchase/{UUID}/Lines HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "DeliveredUnitType": "text",
    "DeliveredUnitName": "text",
    "Name": "text",
    "SellerCode": "text",
    "BuyerCode": "text",
    "Description": "text",
    "DeliveredQuantity": 1,
    "QuantityPrice": 1,
    "LineTotal": 1,
    "AdditionalItemIdentification": "text",
    "OutstandingQuantity": 1,
    "OutstandingUnitType": "text",
    "OutstandingUnitName": "text",
    "OutstandingReason": "text",
    "ManufacturerCode": "text",
    "BrandName": "text",
    "ModelName": "text",
    "LabelNumber": "text"
  }
]
var client = new RestClient("https://apitest.nilvera.com/edespatch/Purchase/0050568C-C008-1EDD-A0A4-192134665EE4/Lines");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/edespatch/Purchase/0050568C-C008-1EDD-A0A4-192134665EE4/Lines',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated